### 5.1.21 det

`Syntax:`
  `det (` intmat_expression `)`
  `det (` matrix_expression `)`
  `det (` module_expression `)`
`Type:`
  int, resp. poly
`Purpose:`
  returns the determinant of a square matrix. A module is considered as a matrix. The applied algorithms depend on type of input. If the input is a module or matrix with symbolic entries the Bareiss algorithm is used. In the other cases the chinese remainder algorithm is used. For large sparse problems the input as a module has advantages.
`Example:`

        ring r=7,(x,y),wp(2,3);
        matrix m[3][3]=1,2,3,4,5,6,7,8,x;
        det(m);
      ==> -3x-1

See intmat; matrix; minor.

User manual for Singular version 4-0-3, 2016, generated by texi2html.